Subject: Re: bug#1502: Acknowledgement (CR/LF Unicode Problem)

From: "Lafleur, Henry" <[email-masked]>
Date: Sat, 6 Dec 2008 18:46:37 -0600

Yes,

I did it on purpose. We're in a mixed Windows/Linux environment and some users paste Linux-created files ending in LF only into a Windows app which writes a header & footer ending in CR/LF. When a file is mixed, Emacs is adding an additional CR in front of each of the LF characters, but only for a UTF-8 file with character codes>127. Thus, the file has lines ending with CRCRLF and CRLF.

Thanks,

Henry Lafleur

----- Original Message -----
From: Stefan Monnier <[email-masked]>
To: Lafleur, Henry
Cc: [email-masked] <[email-masked]>; Eli Zaretskii <[email-masked]>; [email-masked] <[email-masked]>
Sent: Sat Dec 06 16:47:38 2008
Subject: Re: bug#1502: Acknowledgement (CR/LF Unicode Problem)

> I'll be back in my office on Monday. I may be able to get the file before then, but probably not. I e-mailed it to myself at home, but my company blocks .SQL files.

I don't know if it's related, but all your messages have spurious extra
^M at the end of each line.  Do you happen to know where that's coming from?

        Stefan

-----------------------------------------
CANRIG EMAIL NOTICE - This transmission may be strictly
confidential. If you are not the intended recipient of this
message, you may not disclose, print, copy, or disseminate this
information. If you have received this in error, please reply and
notify the sender (only) and delete the message. Unauthorized
interception of this e-mail is a violation of federal criminal law.
This communication does not reflect an intention by the sender or
the sender's principal to conduct a transaction or make any
agreement by electronic means. Nothing contained in this message or
in any attachment shall satisfy the requirements for a writing, and
nothing contained herein shall constitute a contract or electronic
signature under the Electronic Signatures in Global and National
Commerce Act, any version of the Uniform Electronic Transactions
Act, or any other statute governing electronic transactions.